Summary: GNU Find Utilities (find, xargs, and locate)
Name: findutils
Version: 4.1
Release: 13
Copyright: GPL
Group: Utilities/File
Source0: prep.ai.mit.edu:/pub/gnu/findutils-4.1.tar.gz
Source1: updatedb.cron
Patch0: findutils-4.1-fsstnd.patch
Patch1: findutils-4.1-basename.patch
Prereq: /sbin/install-info

%description
This package contains programs to help you locate files on your
system.  The find program can search through a hierarchy of
directories looking for files matching a certain set of criteria
(such as a filename pattern).  The locate program searches a
database (create by updatedb) to quickly find a file matching
a given pattern.

%changelog

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>

- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>

- fixed updatedb.cron

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=/usr --exec-prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s

%install
mkdir -p /usr/lib/findutils
rm -f /usr/info/find.info*
make install
gzip -9fn /usr/info/find.info*
chmod 755 /usr/lib/findutils
install -m755 $RPM_SOURCE_DIR/updatedb.cron /etc/cron.daily

strip /usr/bin/find /usr/bin/xargs /usr/bin/locate

%post
/sbin/install-info /usr/info/find.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/find.info.gz /usr/info/dir
fi

%files
%doc NEWS README
%config /etc/cron.daily/updatedb.cron
/usr/bin/find
/usr/bin/xargs
/usr/bin/locate
/usr/bin/updatedb
/usr/man/man1/locate.1
/usr/man/man1/find.1
/usr/man/man1/xargs.1
/usr/man/man1/updatedb.1
/usr/man/man5/locatedb.5
/usr/lib/findutils
/usr/info/find.info*
